Subject: bug#8983: 23.3; displayName is missing from ldap-attribute-syntaxes-alist

From: Thomas Fitzsimmons <[email-masked]>
Date: Wed, 24 Dec 2014 02:05:20 -0500

Hi Łukasz,

This patch should fix the issue.

Thomas
diff --git a/lisp/net/ldap.el b/lisp/net/ldap.el
index 10ce7a7..3e325aa 100644
--- a/lisp/net/ldap.el
+++ b/lisp/net/ldap.el
@@ -378,9 +378,19 @@ RFC2252 section 4.3.2")
     (houseidentifier . 15)
     (supportedalgorithms . 49)
     (deltarevocationlist . 9)
-    (dmdname . 15))
+    (dmdname . 15)
+    (carlicense . 15)
+    (departmentnumber . 15)
+    (displayname . 15)
+    (employeenumber . 15)
+    (employeetype . 15)
+    (jpegphoto . 28)
+    (preferredlanguage . 15)
+    (usersmimecertificate . 5)
+    (userpkcs12 . 5))
   "A map of LDAP attribute names to their type object id minor number.
-This table is built from RFC2252 Section 5 and RFC2256 Section 5")
+This table is built from RFC2252 Section 5, RFC2256 Section 5 and
+RFC2798 Section 9.1.1")

 ;; Coding/decoding functions